Skip to main content
POST
/
as
/
token.oauth2
Generate access token
curl --request POST \
  --url https://api.auth.gbgplc.com/as/token.oauth2 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data 'client_id=<string>' \
  --data 'client_secret=<string>' \
  --data 'username=<string>' \
  --data 'password=<string>' \
  --data grant_type=password
import requests

url = "https://api.auth.gbgplc.com/as/token.oauth2"

payload = {
"client_id": "<string>",
"client_secret": "<string>",
"username": "<string>",
"password": "<string>",
"grant_type": "password"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}

response = requests.post(url, data=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({
client_id: '<string>',
client_secret: '<string>',
username: '<string>',
password: '<string>',
grant_type: 'password'
})
};

fetch('https://api.auth.gbgplc.com/as/token.oauth2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "access_token": "<string>",
  "expires_in": 123,
  "token_type": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/x-www-form-urlencoded
client_id
string
required

The client ID assigned to your organization.

client_secret
string
required

The client secret assigned to your organization.

username
string
required

The username for API authentication.

password
string
required

The password for API authentication.

grant_type
enum<string>
required

Must always be set to 'password'.

Available options:
password

Response

Successfully retrieved access token.

access_token
string

The access token used for authentication.

expires_in
integer

Token expiration time in seconds.

token_type
string

The type of token, usually 'Bearer'.